# ClientAgentIPService
> Agent IP服务

---

## createClientAgentIPs
> 创建一组IP

- 角色：`dns`, `node`, `admin`
- HTTP：`POST https://backend.dooki.cloud/ClientAgentIPService/createClientAgentIPs`
- RPC：`rpc createClientAgentIPs(CreateClientAgentIPsRequest) returns (RPCSuccess);`

**请求对象 (`CreateClientAgentIPsRequest`)**

```json
{
  "agentIPs": "[]AgentIPInfo",
  "agentCode": "string",
  "ip": "string",
  "ptr": "string"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ClientAgentIPService/createClientAgentIPs" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## listClientAgentIPsAfterId
> 查询最新的IP

- 角色：`dns`, `node`, `admin`
- HTTP：`POST https://backend.dooki.cloud/ClientAgentIPService/listClientAgentIPsAfterId`
- RPC：`rpc listClientAgentIPsAfterId(ListClientAgentIPsAfterIdRequest) returns (ListClientAgentIPsAfterIdResponse);`

**请求对象 (`ListClientAgentIPsAfterIdRequest`)**

```json
{
  "id": "int64",
  "size": "int64 // 数量，通常不能小于0"
}
```

**响应对象 (`ListClientAgentIPsAfterIdResponse`)**

```json
{
  "clientAgentIPs": "[]ClientAgentIP"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ClientAgentIPService/listClientAgentIPsAfterId" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
